#include<bits/stdc++.h>
using namespace std;

int main()
{
	int T,i,j,f=1,z,br=0;
	vector<int> n[T];
	cin >> T;
	for(i=0;i<T;i++)
    {
        cin >> n[i];
        for (j=1;j<n[i];j++)
        {
            for(z=j;i>0;z/10)
            {
                f=f*z;
                if(z>10)
                {
                    if(f==0 && f<=9)
                    br++;
                }

            }
        }
    }
    for(i=0;i<T;i++)
    {
        cout << br;
    }
}